Summary:       XKB file handling routines
Name:          libxkbfile
Version:       1.1.0
Release:       3%{?dist}
License:       MIT
URL:           http://www.x.org
Source0:       https://www.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2

BuildRequires: make gcc
BuildRequires: pkgconfig(xproto) pkgconfig(x11)

%description
libxkbfile is used by the X servers and utilities to parse the XKB
configuration data files.

%package devel
Summary: X.Org X11 XKB file handling development package
Requires: %{name} = %{version}-%{release}

%description devel
X.Org X11 libxkbfile development package

%prep
%autosetup

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
%configure --disable-static
%make_build

%install
%make_install
find %{buildroot} -regex ".*\.la$" -delete

%files
%license COPYING
%doc ChangeLog
%{_libdir}/libxkbfile.so.1
%{_libdir}/libxkbfile.so.1.0.2

%files devel
%{_includedir}/X11/extensions/XKBbells.h
%{_includedir}/X11/extensions/XKBconfig.h
%{_includedir}/X11/extensions/XKBfile.h
%{_includedir}/X11/extensions/XKBrules.h
%{_includedir}/X11/extensions/XKM.h
%{_includedir}/X11/extensions/XKMformat.h
%{_libdir}/libxkbfile.so
%{_libdir}/pkgconfig/xkbfile.pc

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Sep 27 2022 ZoeDong <zoedong@tencent.com> - 1.1.0-1
- Initial build
